package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrSpecialRule;
    import com.docus.server.dto.segmentation.ocrspecialrule.AddOcrSpecialRuleDTO;
    import com.docus.server.dto.segmentation.ocrspecialrule.EditOcrSpecialRuleDTO;
    import com.docus.server.dto.segmentation.ocrspecialrule.DeleteOcrSpecialRuleDTO;
import com.docus.server.vo.segmentation.ocrspecialrule.OcrSpecialRuleVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 特殊策略表 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrSpecialRuleConvert {

    OcrSpecialRuleConvert INSTANCE = Mappers.getMapper(OcrSpecialRuleConvert.class);

    @Mappings({})
    OcrSpecialRule convertDO(AddOcrSpecialRuleDTO addOcrSpecialRuleDTO);

    @Mappings({})
    OcrSpecialRule convertDO(EditOcrSpecialRuleDTO editOcrSpecialRuleDTO);

    @Mappings({})
    List<OcrSpecialRule> convertAddDOList(List<AddOcrSpecialRuleDTO> addOcrSpecialRuleDTO);

    @Mappings({})
    List<OcrSpecialRule> convertEditDOList(List<EditOcrSpecialRuleDTO> editOcrSpecialRuleDTO);

    @Mappings({})
    OcrSpecialRuleVO convertVO(OcrSpecialRule ocrSpecialRule);

    @Mappings({})
    List<OcrSpecialRuleVO> convertVO(List<OcrSpecialRule> ocrSpecialRuleList);

    @Mappings({})
    PageResult<OcrSpecialRuleVO> convertVO(PageResult<OcrSpecialRule> pageResult);
}

